メモ | Uncaught TypeError: $.widget.extend is not a function エラー発現

jquery-ui ライブラリを使おうとしたら

Uncaught TypeError: $.widget.extend is not a function

エラー発現

解決方法

jquery-ui.js と jquery.js を最新に。(このエントリ時点で jquery-ui は1.11.4。jquery は 1.11.3)
それでもダメなら余計なjqueryライブラリを一旦外してみる。
自分の場合は jQuery UI Draggable 1.8.13 にUpdateして解決。

そしたら今度は jquery.alerts.js がまともに動かなくなって四苦八苦するがそれはまた別の話。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です